Subject: bug#19776: 25.0.50; HTML rendering is very slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 25 Oct 2021 15:08:48 +0200

Stefan Kangas <[email-masked]> writes:

> I didn't study what you did here, but one thing that would be really
> nice is if we could update this message dynamically.  Other software
> show a spinning marker for example, perhaps we could do something
> similar?  In the simplest case, you just need to update a character
> every 0.1 seconds (or something) in the sequence "|/-\".
>
> I'm not an expert on UIX by any means, but AFAIK, users like it when
> there is some visible feedback that the program didn't just go and die.
> Research shows that the brain is easy to trick that way; even just a
> dumb little spinning thing makes people subjectively feel that the
> program is more responsive.  Maybe we could use that to our advantage.

These days, you usually get a spinning thing from the OS when the
application is unresponsive in this way, I guess?

But, yes, this mechanism could easily be extended to display a spinner.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no